################################################################################
# Copyright © 2017-2018 Université de technologie de Troyes,
# Copyright © 2016-2017 Université de Versailles Saint-Quentin-en-Yvelines,
# Copyright © 2013-2018 CNRS,
# Copyright © 2013-2016 Université de Nantes.
# Author: Florian Blachère
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
################################################################################

option(ENABLE_MEMCHECK "Enable memcheck with valgrind?" OFF)
if (ENABLE_MEMCHECK)
  find_program(VALGRIND valgrind)
  if (VALGRIND-NOTFOUND)
  else()
    set(PREFIX_COMMAND ${VALGRIND} --leak-check=full --show-leak-kinds=all --track-origins=yes)
  endif()
endif()

#find_program(GDB gdb)
#if (GDB-NOTFOUND)
#else()
  #set(PREFIX_COMMAND ${GDB} -s)
#endif()
