# Copyright © 2017-2018 Université de technologie de Troyes,
# Copyright © 2016-2017 Université de Versailles Saint-Quentin-en-Yvelines,
# Copyright © 2013-2018 CNRS,
# Copyright © 2013-2016 Université de Nantes.
# Author: Florian Blachère
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

VERSION=pgi

MODCOMMAND=-module $(MODDIR)
FFLAGS+=-Mpreprocess -m64

ifeq ($(OMP),1)
	PREPROC+=-D_FC_PAR_OMP_
	FFLAGS+=-mp
	VERSION:=$(VERSION)_omp
endif # OMP

PREPROC+=-D_FC_PGI_

LDFLAGS+=-L/usr/lib64/gcc/x86_64-suse-linux/4.3/
