# Copyright © 2017-2018 Université de technologie de Troyes,
# Copyright © 2016-2017 Université de Versailles Saint-Quentin-en-Yvelines,
# Copyright © 2013-2018 CNRS,
# Copyright © 2013-2016 Université de Nantes.
# Author: Florian Blachère
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

ifeq ($(SCALASCA), 1)
	PREFIX=scorep --thread=omp:ancestry --mutex=omp --compiler --preprocess --user
	#PREFIX=scorep --thread=omp:pomp_tpd --mutex=omp --compiler --preprocess --user
	VERSION:=$(VERSION)_sca
endif # SCALASCA

ifeq ($(OMPP), 1)
	PREFIX:=kinst-ompp
	PREPROC+=-D_OMPP_
	VERSION:=$(VERSION)_ompp
endif # OMPP

ifeq ($(shell hash f90cache 2>/dev/null && echo 1), 1)
	F90CACHE?=0
ifeq ($(F90CACHE), 1)
		PREFIX=f90cache
endif # F90CACHE
endif
