!> Last routine to call
!>
!> @author Florian Blachère
!>
!> @copyright © 2017-2018 Université de technologie de Troyes,
!> @copyright © 2016-2017 Université de Versailles Saint-Quentin-en-Yvelines,
!> @copyright © 2013-2018 CNRS,
!> @copyright © 2013-2016 Université de Nantes.
!> @copyright This program is free software: you can redistribute it and/or modify
!> it under the terms of the GNU General Public License as published by
!> the Free Software Foundation, either version 3 of the License, or
!> (at your option) any later version.
!>
!> @copyright This program is distributed in the hope that it will be useful,
!> but WITHOUT ANY WARRANTY; without even the implied warranty of
!> MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!> GNU General Public License for more details.
!>
!> @copyright You should have received a copy of the GNU General Public License
!> along with this program.  If not, see <http://www.gnu.org/licenses/>.
module mod_finalize

  use type_IO, only: StdOut
  use type_IO, only: separator

  implicit none

  private
  public Finalize

contains
  !--------------------------------------------------------------------!
  !> @brief
  !> Final routine
  !>
  !> @author Florian Blachère
  !--------------------------------------------------------------------!
  subroutine Finalize()

    write(StdOut,'(A)') separator(1)
    flush(StdOut)

  end subroutine Finalize

end module mod_finalize
